define(["app", "constant", "config", "yCommon","bootbox","common_tools", "dir_datepicker", "dir_paging", "yService", "dir_table_column_config", "tools_factory","dir_select","dir_file_upload",'dir_echart2'],
    function(app, constant, config, yCommon,bootbox, commonTools) {
        app.register.controller('#(fileDir)DetailCtrl', ["$scope", "rootMap", "$state", "yService", "toolsFactory","$stateParams","$sce","$http",
            function($scope, rootMap, $state, yService, toolsFactory,$stateParams,$sce,$http) {
                yService.initService("/#(beanL)");
                yCommon.initScope($scope, $sce,rootMap,{},yService);

                //页面加载
                function pageInit() {
                    if($stateParams.params){
                        if($stateParams.params.row){
                            $scope.row = angular.copy($stateParams.params.row);
                        }
                    }
                }

                pageInit();
            }
        ]);
    })